Create wallet automation
curl --request POST \
--url https://api.privy.io/v1/wallet_automations \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"config": {
"trigger": {
"type": "deposit",
"assets": {
"mode": "all"
}
},
"action": {
"type": "swap",
"destination_chain_asset": {
"asset_address": "<string>",
"caip2": "<string>",
"asset": "<string>",
"chain": "<string>"
}
}
},
"owner_id": "<string>",
"name": "<string>"
}
'HttpResponse<String> response = Unirest.post("https://api.privy.io/v1/wallet_automations")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"config\": {\n \"trigger\": {\n \"type\": \"deposit\",\n \"assets\": {\n \"mode\": \"all\"\n }\n },\n \"action\": {\n \"type\": \"swap\",\n \"destination_chain_asset\": {\n \"asset_address\": \"<string>\",\n \"caip2\": \"<string>\",\n \"asset\": \"<string>\",\n \"chain\": \"<string>\"\n }\n }\n },\n \"owner_id\": \"<string>\",\n \"name\": \"<string>\"\n}")
.asString();const options = {
method: 'POST',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
config: {
trigger: {type: 'deposit', assets: {mode: 'all'}},
action: {
type: 'swap',
destination_chain_asset: {
asset_address: '<string>',
caip2: '<string>',
asset: '<string>',
chain: '<string>'
}
}
},
owner_id: '<string>',
name: '<string>'
})
};
fetch('https://api.privy.io/v1/wallet_automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/wallet_automations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'config' => [
'trigger' => [
'type' => 'deposit',
'assets' => [
'mode' => 'all'
]
],
'action' => [
'type' => 'swap',
'destination_chain_asset' => [
'asset_address' => '<string>',
'caip2' => '<string>',
'asset' => '<string>',
'chain' => '<string>'
]
]
],
'owner_id' => '<string>',
'name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/wallet_automations"
payload := strings.NewReader("{\n \"config\": {\n \"trigger\": {\n \"type\": \"deposit\",\n \"assets\": {\n \"mode\": \"all\"\n }\n },\n \"action\": {\n \"type\": \"swap\",\n \"destination_chain_asset\": {\n \"asset_address\": \"<string>\",\n \"caip2\": \"<string>\",\n \"asset\": \"<string>\",\n \"chain\": \"<string>\"\n }\n }\n },\n \"owner_id\": \"<string>\",\n \"name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"app_id": "<string>",
"name": "<string>",
"status": "enabled",
"owner_id": "<string>",
"config": {
"trigger": {
"type": "deposit",
"assets": {
"mode": "all"
}
},
"action": {
"type": "swap",
"destination_chain_asset": {
"asset_address": "<string>",
"caip2": "<string>"
}
}
},
"created_at": "<string>",
"updated_at": "<string>"
}Create wallet automation
Create a reusable wallet automation definition.
POST
/
v1
/
wallet_automations
Create wallet automation
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Body
application/json
Request body for creating a wallet automation.
Response
200 - application/json
The created wallet automation.
A wallet automation.
Automation lifecycle state: 'enabled' = running, 'disabled' = not running.
Available options:
enabled, disabled Full configuration for a wallet automation (trigger + action).
Show child attributes
Show child attributes
Was this page helpful?

